CREATE OR REPLACE PROCEDURE PR_DROP_SEQ_IF_EXIST
(aSeqName IN VARCHAR2)
IS
BEGIN
	EXECUTE IMMEDIATE 'DROP SEQUENCE ' || aSeqName;
EXCEPTION
	WHEN OTHERS THEN
		IF SQLCODE != -2289 THEN
			RAISE;
		END IF;
END;
